<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TestVideoDeviceConnectivityInput StructType
 * @subpackage Structs
 */
class TestVideoDeviceConnectivityInput extends AbstractStructBase
{
    /**
     * The VideoDeviceMacAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $VideoDeviceMacAddress;
    /**
     * Constructor method for TestVideoDeviceConnectivityInput
     * @uses TestVideoDeviceConnectivityInput::setVideoDeviceMacAddress()
     * @param string $videoDeviceMacAddress
     */
    public function __construct($videoDeviceMacAddress = null)
    {
        $this
            ->setVideoDeviceMacAddress($videoDeviceMacAddress);
    }
    /**
     * Get VideoDeviceMacAddress value
     * @return string|null
     */
    public function getVideoDeviceMacAddress()
    {
        return $this->VideoDeviceMacAddress;
    }
    /**
     * Set VideoDeviceMacAddress value
     * @param string $videoDeviceMacAddress
     * @return \CustomerManagement\StructType\TestVideoDeviceConnectivityInput
     */
    public function setVideoDeviceMacAddress($videoDeviceMacAddress = null)
    {
        // validation for constraint: string
        if (!is_null($videoDeviceMacAddress) && !is_string($videoDeviceMacAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($videoDeviceMacAddress, true), gettype($videoDeviceMacAddress)), __LINE__);
        }
        $this->VideoDeviceMacAddress = $videoDeviceMacAddress;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\TestVideoDeviceConnectivityInput
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
